--- title: "addLoadBalancerListenerCertificate" slug: "networking-vloadbalancer-loadbalancer-addloadbalancerlistenercertificate" updated: 2026-09-17T10:12:30Z published: 2026-09-17T10:12:30Z canonical: "api.ncloud-docs.com/networking-vloadbalancer-loadbalancer-addloadbalancerlistenercertificate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # addLoadBalancerListenerCertificate Available in VPC Add an SNI-based multi-TLS certificate to a load balancer. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /vloadbalancer/v2/addLoadBalancerListenerCertificate | ### Request headers For information about the headers common to all Load Balancer APIs, see [Load Balancer request headers](/docs/en/networking-vloadbalancer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code for the load balancer instance to which you want to add the certificate - First Region of the getRegionList search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `loadBalancerListenerNo` | String | Required | Number of the load balancer listener - See [getLoadBalancerListenerList](/docs/en/networking-vloadbalancer-loadbalancer-getloadbalancerlistenerlist) | | `sslCertificateNo` | String | Required | SSL certificate number - See [getCertificateList](/docs/en/security-certificatemanager-getcertificatelist) - If the listener's protocol type is `HTTPS` or `TLS`, the SSL certificate must be set | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/addLoadBalancerListenerCertificate?loadBalancerListenerNo=******&sslCertificateNo=*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [loadBalancerListenerCertificateList](/docs/en/common-vapidatatype-loadbalancerlistenercertificatelist) for the response body. ### Response status codes For information about the HTTP status codes common to all Load Balancer APIs, see [Load Balancer response status codes](/docs/en/networking-vloadbalancer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` 0 success 1 ***** ******* YOUR_CERTIFICATE ***.com 2025-06-20 20:59:59 true 1 Normal ```